
#define DATA_BLOCK_INTERVAL  256
#define HEADER_BYTES  8 * sizeof(int)
#define PATTERN_WORD 0x00010203
#define CLEARED_WORD 0x00000000


/* auxiliary subroutines used in most or all putSisData routines */

void createInitializedFile(int fd, char dataBuffer[], int bufferSize,
                                                        int dataTypeID);
void createInitializedFileWithIntervalN(int fd, char dataBuffer[],
                        int bufferSize, int dataTypeID, int timeInterval);
void determineDataFilePathAndCreateDirsAsNeeded(uint32 secondsSince1996,
                                const char *dataFileSuffix, char *path,
                                int *pIntervalNumber, char instrumentID);
int writeDataStructToFile(int fd, int intervalNumber, char dataBuffer[],
                                int bufferSize, char *pDataStruct, char *path);
void writeHeader(int fd, int dataTypeID);


    /* used in a few put routines */
struct sortTracker { uint32 Second1996; unsigned int structID; };
int sortTrackers(const void *pVoid1, const void *pVoid2);
